/*
 *  cpu_asm.h
 *
 *  Author:     Craig Lebakken <craigl@transition.com>
 *
 *  COPYRIGHT (c) 1996 by Transition Networks Inc.
 *
 *  To anyone who acknowledges that this file is provided "AS IS"
 *  without any express or implied warranty:
 *      permission to use, copy, modify, and distribute this file
 *      for any purpose is hereby granted without fee, provided that
 *      the above copyright notice and this notice appears in all
 *      copies, and that the name of Transition Networks not be used in
 *      advertising or publicity pertaining to distribution of the
 *      software without specific, written prior permission.
 *      Transition Networks makes no representations about the suitability
 *      of this software for any purpose.
 *
 *  Derived from c/src/exec/score/cpu/no_cpu/cpu_asm.h:
 *
 *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
 *  On-Line Applications Research Corporation (OAR).
 *
 *  This material may be reproduced by or for the U.S. Government pursuant
 *  to the copyright license under the clause at DFARS 252.227-7013.  This
 *  notice must appear in all copies of this file and its derivatives.
 *
 *  cpu_asm.h,v 1.2 1996/09/11 19:15:59 joel Exp
 *
 */
/* @(#)cpu_asm.h       08/20/96     1.2 */

#ifndef __CPU_ASM_h
#define __CPU_ASM_h

/* pull in the generated offsets */

/* #include <rtems/score/offsets.h> */

/*
 * Hardware General Registers
 */

/* put something here */

/*
 * Hardware Floating Point Registers
 */

#define R_FP0 	0
#define R_FP1 	1
#define R_FP2 	2
#define R_FP3 	3
#define R_FP4 	4
#define R_FP5 	5
#define R_FP6 	6
#define R_FP7 	7
#define R_FP8 	8
#define R_FP9 	9
#define R_FP10 	10
#define R_FP11 	11
#define R_FP12 	12
#define R_FP13 	13
#define R_FP14 	14
#define R_FP15 	15
#define R_FP16 	16
#define R_FP17 	17
#define R_FP18 	18
#define R_FP19 	19
#define R_FP20 	20
#define R_FP21 	21
#define R_FP22 	22
#define R_FP23	23
#define R_FP24 	24
#define R_FP25 	25
#define R_FP26 	26
#define R_FP27 	27
#define R_FP28 	28
#define R_FP29 	29
#define R_FP30 	30
#define R_FP31 	31

/*
 * Hardware Control Registers
 */

/* put something here */

/*
 * Calling Convention
 */

/* put something here */

/*
 * Temporary registers
 */

/* put something here */

/*
 * Floating Point Registers - SW Conventions
 */

/* put something here */

/*
 * Temporary floating point registers
 */

/* put something here */

#endif

/* end of file */
