/*  bspclean.c
 *
 *  This file contains cleanup code executed when the application exits.
 *
 *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
 *  On-Line Applications Research Corporation (OAR).
 *  All rights assigned to U.S. Government, 1994.
 *
 *  This material may be reproduced by or for the U.S. Government pursuant
 *  to the copyright license under the clause at DFARS 252.227-7013.  This
 *  notice must appear in all copies of this file and its derivatives.
 *
 *  Ported to ERC32 implementation of the SPARC by On-Line Applications
 *  Research Corporation (OAR) under contract to the European Space 
 *  Agency (ESA).
 *
 *  ERC32 modifications of respective RTEMS file: COPYRIGHT (c) 1995. 
 *  European Space Agency.
 *
 *  bspclean.c,v 1.4 1995/12/19 20:11:35 joel Exp
 */

#include <bsp.h>

/*
 * The app has "exited" (rtems_shutdown_executive returns control to main)
 */

void bsp_cleanup( void )
{
    /*
     * "halt" by trapping to the simulator command line.
     */


  asm volatile( "ta 0" );
}
