/*
 *  This test file is used to verify that the header files associated with
 *  the callout are correct.
 *
 *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
 *  On-Line Applications Research Corporation (OAR).
 *  All rights assigned to U.S. Government, 1994.
 *
 *  This material may be reproduced by or for the U.S. Government pursuant
 *  to the copyright license under the clause at DFARS 252.227-7013.  This
 *  notice must appear in all copies of this file and its derivatives.
 *
 *  mutex07.c,v 1.2 1996/05/23 18:08:02 joel Exp
 */

#include <pthread.h>
 
#ifndef _POSIX_THREAD_PRIO_INHERIT
#error "rtems is supposed to have pthread_mutexattr_setprotocol"
#endif
#ifndef _POSIX_THREAD_PRIO_PROTECT
#error "rtems is supposed to have pthread_mutexattr_setprotocol"
#endif

void test( void )
{
  pthread_mutexattr_t attribute;
  int                 protocol;
  int                 result;

  protocol = PTHREAD_PRIO_NONE;
  protocol = PTHREAD_PRIO_INHERIT;
  protocol = PTHREAD_PRIO_PROTECT;

  result = pthread_mutexattr_setprotocol( &attribute, protocol );
}
