/*
 *  This test file is used to verify that the header files associated with
 *  the callout are correct.
 *
 *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994, 1995, 1996.
 *  On-Line Applications Research Corporation (OAR).
 *  All rights assigned to U.S. Government, 1994.
 *
 *  This material may be reproduced by or for the U.S. Government pursuant
 *  to the copyright license under the clause at DFARS 252.227-7013.  This
 *  notice must appear in all copies of this file and its derivatives.
 *
 *  timer06.c,v 1.1 1996/05/23 22:23:44 joel Exp
 */

#include <time.h>
 
#ifndef _POSIX_TIMERS
#error "rtems is supposed to have nanosleep"
#endif

void test( void )
{
  struct timespec rqtp; 
  struct timespec rmtp; 
  int             result;

  rqtp.tv_sec = 0;
  rqtp.tv_nsec = 0;
  result = nanosleep( &rqtp, &rmtp );
}
